Bug 97886 - multilink ppp hangs ifup script
multilink ppp hangs ifup script
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-23 13:55 EDT by Tomasz Kepczynski
Modified: 2014-03-16 22:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:55:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ppp0 setup (403 bytes, text/plain)
2003-06-23 13:57 EDT, Tomasz Kepczynski
no flags Details
ppp1 setup (405 bytes, text/plain)
2003-06-23 13:58 EDT, Tomasz Kepczynski
no flags Details

  None (edit)
Description Tomasz Kepczynski 2003-06-23 13:55:31 EDT
Description of problem:
  I created two modem/ppp devices using redhat-config-network. Both point to the
same telephone number and use the same login/password but different modems
(ttyI0 and ttyI1 actually but I am quite sure it is not relevant). In ppp
options I specified debug and mp to be able to create bundle.
  The first ppp device ('ifup ppp0') correctly starts.
  The second started with 'ifup ppp1' hangs in a script, however the connection
is made and bundle seems to be created.

Version-Release number of selected component (if applicable):
initscripts-6.67-1

How reproducible:
always

Steps to Reproduce:
1. Create two ppp devices to connect to the same provider and specify 'mp' in
options.
2. Connect using the first device, it is OK.
3. Connect using the second device, ifup script hangs.

    
Actual results:
ifup script hangs

Expected results:
ifup script finishes with exitcode 0


Additional info:
Comment 1 Tomasz Kepczynski 2003-06-23 13:57:58 EDT
Created attachment 92561 [details]
ppp0 setup
Comment 2 Tomasz Kepczynski 2003-06-23 13:58:33 EDT
Created attachment 92562 [details]
ppp1 setup
Comment 3 George Collins 2003-07-20 22:31:50 EDT
adding the option updetach to pppd command line will detach the process and
allow the script to exit, but the connection will also terminate (see
auth.c->start_networks()).
Comment 4 George Collins 2003-07-27 23:22:33 EDT
Bypassing ppp-watch and invoking pppd manually with the updetach option works
with no problem.
Comment 5 Bill Nottingham 2005-09-30 15:06:00 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.
It sounds like what you want is a generic means to bypass ppp-watch for a
particular device?
Comment 6 Tomasz Kepczynski 2005-10-03 06:41:50 EDT
Honestly I don't care about technical means as long as it works. I cheated
a bit by specifying ppp options directly, maybe system-config-network
should be adapted to allow bundle creation?
Comment 7 Bug Zapper 2008-04-03 11:27:47 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-05-06 19:55:53 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.